package Model;

import java.util.LinkedList;

/**
 * Implementierung verschiedener Algorithmen zur Berechnung von Ausgleichsgeraden.
 *
 * @Author: Armin Wolf
 * @Email: a_wolf28@uni-muenster.de
 * @Date: 28.05.2017.
 */
public class Arrangement {

  private LinkedList<Point> nodes;
  private LinkedList<Line> lines;
  private Double xMinimum;
  private Double xMaximum;
  private Double yMinimum;
  private Double yMaximum;

  public Arrangement() {
    nodes = new LinkedList<>();
    lines = new LinkedList<>();
  }

  public void addNode(Point node) {
    this.nodes.add(node);
  }

  public void addLine(Line line) {
    this.lines.add(line);
  }

  public LinkedList<Point> getNodes() {
    return nodes;
  }

  public LinkedList<Line> getLines() {
    return lines;
  }

  public void setLines(LinkedList<Line> lines) {
    this.lines = lines;
  }

  public Double getxMinimum() {
    return xMinimum;
  }

  public void setxMinimum(Double xMinimum) {
    this.xMinimum = xMinimum;
  }

  public Double getxMaximum() {
    return xMaximum;
  }

  public void setxMaximum(Double xMaximum) {
    this.xMaximum = xMaximum;
  }

  public Double getyMinimum() {
    return yMinimum;
  }

  public void setyMinimum(Double yMinimum) {
    this.yMinimum = yMinimum;
  }

  public Double getyMaximum() {
    return yMaximum;
  }

  public void setyMaximum(Double yMaximum) {
    this.yMaximum = yMaximum;
  }
}
